package com.zd.exam.domain;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 培训学习记录对象 el_safe_train_record
 *
 * @author zhoupan
 * @date 2021-09-07
 */
@ApiModel(value = "培训学习记录", description = "培训学习记录")
public class ElSafeTrainRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    private Long id;

    /**
     * 培训资料ID
     */
    @ApiModelProperty(value = "培训资料ID")
    @Excel(name = "培训资料ID")
    private Long safeTrainId;

    /**
     * 关联用户ID
     */
    @ApiModelProperty(value = "关联用户ID")
    @Excel(name = "关联用户ID")
    private Long joinUserId;

    /**
     * 用户id(权限作用)
     */
    @Excel(name = "用户id(权限作用)")
    private Long userId;

    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门id")
    @Excel(name = "部门id")
    private Long deptId;

    /**
     * 部门名称
     */
    @ApiModelProperty(value = "部门名称")
    @Excel(name = "部门名称")
    private String deptName;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setSafeTrainId(Long safeTrainId) {
        this.safeTrainId = safeTrainId;
    }

    public Long getSafeTrainId() {
        return safeTrainId;
    }

    public void setJoinUserId(Long joinUserId) {
        this.joinUserId = joinUserId;
    }

    public Long getJoinUserId() {
        return joinUserId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptName() {
        return deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("safeTrainId", getSafeTrainId())
                .append("joinUserId", getJoinUserId())
                .append("userId", getUserId())
                .append("createBy", getCreateBy())
                .append("updateBy", getUpdateBy())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("createTime", getCreateTime())
                .toString();
    }
}
